## org.apache.axis.ime
Interface MessageExchangeLifecycle

All Known Implementing Classes:
  MessageExchangeImpl

public interface MessageExchangeLifecycle

Interface that may be provided by MessageExchange impl's to allow users to control the lifecycle of the "stuff" going on under the covers

Author:
  James M Snell (jasnell@us.ibm.com)

Method Summary
`void` `awaitShutdown()` Block indefinitely until shutdown is complete.
`void` `awaitShutdown(long timeout)` Block for the specified amount of time or until shutdown is complete
`void` `cleanup()` Cleanup
`void` `init()` Initialize the lifecycle.
`void` `shutdown()` Performs a "safe shutdown", allowing all current activities to complete.
`void` `shutdown(boolean force)` Performs an "unsafe shutdown", interrupting all current activities without letting them complete

Method Detail

### init

    public void init()

  Initialize the lifecycle. (Create threads, etc)

### cleanup

    public void cleanup()
                 throws java.lang.InterruptedException

  Cleanup

    `java.lang.InterruptedException`

### shutdown

    public void shutdown()

  Performs a "safe shutdown", allowing all current activities to complete.

### shutdown

    public void shutdown(boolean force)

  Performs an "unsafe shutdown", interrupting all current activities without letting them complete

### awaitShutdown

    public void awaitShutdown()
                       throws java.lang.InterruptedException

  Block indefinitely until shutdown is complete.

    `java.lang.InterruptedException`

### awaitShutdown

    public void awaitShutdown(long timeout)
                       throws java.lang.InterruptedException

  Block for the specified amount of time or until shutdown is complete

    `java.lang.InterruptedException`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.